!ifndef EXE_PATH
  !define EXE_PATH "C:\Users\Anthony\Desktop\"
!endif

!ifndef API_KEY
  !define API_KEY "UGXCCDLFTEMAUAXK"
!endif
!ifndef API_USER
  !define API_USER "maciel310@gmail.com"
!endif

Name "DreamSupport"
OutFile "${EXE_PATH}DreamSupportInstall.exe"

Section "DreamSupport"
  SetOutPath $TEMP
  File "ds\DreamSupport.exe"
  File "ds\DreamSupport.application"
  File "ds\DreamSupport.exe.manifest"
  File "ds\DreamSupport.pdb"
  File "ds\DreamSupport.xml"
  File "ds\license.txt"
  File "ds\Interop.WinHttp.dll"
  SetOutPath "$TEMP\vnc"
  File "ds\vnc\license.txt"
  File "ds\vnc\MSRC4Plugin_NoReg.dsm"
  File "ds\vnc\winvnc.exe"
SectionEnd

Function .onInit
  SetSilent silent

  FileOpen $9 "$TEMP\DreamSupport.exe.config" w
  FileWrite $9 "<?xml version='1.0' encoding='utf-8' ?><configuration>    <configSections>        <sectionGroup name='userSettings' type='System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' >"
  FileWrite $9 "<section name='DreamSupport.My.MySettings' type='System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' allowExeDefinition='MachineToLocalUser' requirePermission='false' />        </sectionGroup>    </configSections>    "
  FileWrite $9 "<system.diagnostics>        <sources>            <!-- This section defines the logging configuration for My.Application.Log -->            <source name='DefaultSource' switchName='DefaultSwitch'>                <listeners>                    <add name='FileLog'/>                    <!-- Uncomment the below section to write to the Application Event Log -->                    <!--<add name='EventLog'/>-->                </listeners>            </source>        </sources>        "
  FileWrite $9 "<switches>            <add name='DefaultSwitch' value='Information' />        </switches>        <sharedListeners>            <add name='FileLog'                 type='Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL'                 initializeData='FileLogWriter'/>            "
  FileWrite $9 "<!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->            <!--<add name='EventLog' type='System.Diagnostics.EventLogTraceListener' initializeData='APPLICATION_NAME'/> -->        </sharedListeners>    </system.diagnostics>    <userSettings>        "
  FileWrite $9 "<DreamSupport.My.MySettings>            <setting name='apiUser' serializeAs='String'>                <value>${API_USER}</value>            "
  FileWrite $9 "</setting>            <setting name='apiKey' serializeAs='String'>                <value>${API_KEY}</value>            </setting>        </DreamSupport.My.MySettings>    </userSettings></configuration>"
  FileClose $9 ;Closes the filled file

FunctionEnd

Function .onInstSuccess
  ExecWait "$TEMP\DreamSupport.exe"
  call cleanUp
FunctionEnd


Function cleanUp
  Delete "$TEMP\DreamSupport.exe"
  Delete "$TEMP\DreamSupport.exe.config"
  Delete "$TEMP\DreamSupport.application"
  Delete "$TEMP\DreamSupport.exe.manifest"
  Delete "$TEMP\DreamSupport.pdb"
  Delete "$TEMP\DreamSupport.xml"
  Delete "$TEMP\license.txt"
  Delete "$TEMP\Interop.WinHttp.dll"
  Delete "$TEMP\vnc\license.txt"
  Delete "$TEMP\vnc\MSRC4Plugin_NoReg.dsm"
  Delete "$TEMP\vnc\winvnc.exe"
  RMDir "$TEMP\vnc"
FunctionEnd
